New: AI video tools. Cut, clip, caption and dub your videos. See all video tools →
YouTube

Download YouTube audio for trimming

POST
/api/v1/youtube/download

Download a YouTube URL's audio and store it server-side as a temp WAV.

Returns {temp_id, duration, title, start_time}. Then POST /api/v1/ youtube/slice with a desired range to get a trimmed clip as base64.

Request Body

application/json
  1. body
[key: string]?any

Response Body

Successful Response

response?unknownapplication/json
Example Request
curl -X POST 'http://127.0.0.1:8100/api/v1/youtube/download' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
null